イナヅマTVログ

cocos2d v2

cocos2d-iphone v2.1のXcode templateをインストールしようとしたらエラーになったよ

| 0件のコメント

cocos2d-iphone

cocos2d-iphone v2.1のXcode templateをインストールしようとしたらエラーになったよの巻。

ダウンロードして、http://www.cocos2d-iphone.org/download/
いつも通りにインストール用のシェルスクリプトを実行。

sudo ./install-templates.sh -f

エラーが表示されちゃう。
このコマンドではインストールできないらしい。

Error: Do not run this script as root.

‘root’ is no longer supported

RECOMMENDED WAY:
./install-templates.sh -f

ふえ〜ん。

おすすめどおり、sudo外して試してみた。

 ./install-templates.sh -f

スクリプトは走ってるようだけど、Permission denied でインストールできない様子。

install-templates.shを確認。
l.38~49で止まる設定になってた。

38
39
40
41
42
43
44
45
46
47
48
49
# Make sure root is not executed
if [[ "$(id -u)" == "0" ]]; then
    echo ""
    echo "Error: Do not run this script as root." 1>&2
    echo ""
    echo "'root' is no longer supported" 1>&2
    echo ""
    echo "RECOMMENDED WAY:" 1>&2
    echo " $0 -f" 1>&2
    echo ""
exit 1
fi

全部コメントにして sudo 付きで実行。

インストールできた。
cocos2d v2

cocos2d iOS with JavaScript なんてテンプレートあるのね。
さて試せるのはいつになることやら..

コメントを残す

必須欄は * がついています